# Created by pyp2rpm-3.3.5
%global pypi_name myst-parser

Name:           python-%{pypi_name}
Version:        0.18.1
Release:        %mkrel 1
Summary:        An extended commonmark compliant parser, with bridges to docutils & sphinx
Group:          Development/Python
License:        MIT
URL:            https://github.com/executablebooks/MyST-Parser
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch1:         myst-parser-0.18.1-relax-reqs.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3-setuptools-scm+toml
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(flit-core)

%description
MyST-Parser is an extended commonmark compliant parser,
with bridges to docutils & sphinx.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(docutils)
Requires:       python3dist(markdown-it-py)
Requires:       python3dist(pyyaml)
Requires:       python3dist(sphinx)
Recommends:     python3dist(beautifulsoup4)
Recommends:     python3dist(black)
Recommends:     python3dist(coverage)
Recommends:     python3dist(flake8)
Recommends:     python3dist(ipython)
Recommends:     python3dist(pre-commit)
Recommends:     python3dist(pytest)
Recommends:     python3dist(pytest-cov)
Recommends:     python3dist(pytest-regressions)
Recommends:     python3dist(setuptools)
Recommends:     python3dist(sphinx-book-theme)
Recommends:     python3dist(sphinx-tabs)
Recommends:     python3dist(sphinxcontrib-bibtex)

%description -n python3-%{pypi_name}
MyST-Parser is an extended commonmark compliant parser,
with bridges to docutils & sphinx.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files myst_parser

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/myst-*


%changelog
* Wed Feb 01 2023 papoteur <papoteur> 0.18.1-1.mga9
+ Revision: 1937305
- new 0.18.1

* Fri Nov 04 2022 wally <wally> 0.18.0-2.mga9
+ Revision: 1902753
- update setuptools-scm BRs

* Wed Aug 10 2022 wally <wally> 0.18.0-1.mga9
+ Revision: 1876647
- new version 0.18.0

* Thu Jul 21 2022 papoteur <papoteur> 0.10.0-1.mga9
+ Revision: 1869758
- imported package python-myst-parser

